/* $Id: cpl_fft.h,v 1.2 2009/12/14 15:35:53 llundin Exp $
 *
 * This file is part of the ESO Common Pipeline Library
 * Copyright (C) 2001-2005 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef CPL_FFT_H
#define CPL_FFT_H

#define CPL_FFT_FORWARD  ((unsigned)1 << 1)
#define CPL_FFT_BACKWARD ((unsigned)1 << 2)

/* Function prototypes */

cpl_error_code cpl_fft_image(cpl_image *, const cpl_image *, unsigned);
cpl_error_code cpl_fft_imagelist(cpl_imagelist *, const cpl_imagelist *,
                 unsigned);

#endif /* CPL_FFT_H */

