/* $Id: cpl_fits.h,v 1.4 2008/11/27 13:19:26 lbilbao Exp $
 *
 * This file is part of the ESO Common Pipeline Library
 * Copyright (C) 2001-2008 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * $Author: lbilbao $
 * $Date: 2008/11/27 13:19:26 $
 * $Revision: 1.4 $
 * $Name: cpl-5_2_0 $
 */

#ifndef CPL_FITS_H
#define CPL_FITS_H

/*-----------------------------------------------------------------------------
                                   Includes
 -----------------------------------------------------------------------------*/

#include <cpl_macros.h>

CPL_BEGIN_DECLS

int cpl_fits_count_extensions(const char *);

int cpl_fits_get_nb_extensions(const char *)
  #ifdef __GNUC__
      __attribute__((deprecated))
  #endif
  ;

int cpl_fits_find_extension(const char *, const char *);

int cpl_fits_get_extension_nb(const char *, const char *)
  #ifdef __GNUC__
      __attribute__((deprecated))
  #endif
  ;

CPL_END_DECLS

#endif 
